#define codeVersion "Solar tracker 2.8.2014"

double loopMillis, sensorMillis;
float sensorEast, sensorWest, temp;
bool helloSun;

void setup() 
{
  Serial.begin(9600);
  Serial.println(codeVersion);
  Serial.println("pins:");
  Serial.println("A2 - sensor East");
  Serial.println("A3 - sensor West");
  Serial.println("D2 - output move East");
  pinMode(2, OUTPUT);
  Serial.println("D3 - output move West");
  pinMode(3, OUTPUT);
  helloSun=1;
}

void loop()
{  
  loopMillis=millis();
  if (loopMillis-sensorMillis>1000)
  {
    sensorMillis=loopMillis;
    sensorEast=sensorEast*.9+analogRead(A2)*.1;
    sensorWest=sensorWest*.9+analogRead(A3)*.1;

    if (sensorWest<100 && sensorEast<100) //Move Stop
    {
      digitalWrite(2,1);
      digitalWrite(3,1);
    }
    else
    {
      if (helloSun)
      {
        if (sensorWest>200 || sensorEast>200) helloSun=0; //reset morning move
        digitalWrite(2,0);  //Move to East Start
      }
      else
      {
        if (sensorWest-sensorEast>5) digitalWrite(3,0); //Move to West Start
      }
      sensorEast=0;
      sensorWest=0;
    }

    Serial.print("A2: ");
    Serial.print(analogRead(A2));
    Serial.print(" => East sensor: ");
    Serial.print(sensorEast);
    Serial.print("     loopMillis: ");
    Serial.print(loopMillis);
    Serial.print("     Mode: ");
    if (helloSun) Serial.println("Hello Sun"); 
    else Serial.println("Sensor tracking");
    Serial.print("A3: ");
    Serial.print(analogRead(A3));
    Serial.print(" => West sensor: ");
    Serial.print(sensorWest);
    if (digitalRead(2) && digitalRead(3) ) Serial.print("     Motor stop");
    if (digitalRead(2)==0) Serial.print("     Motor moving to East");
    if (digitalRead(3)==0) Serial.print("     Motor moving to West");
    Serial.println(" ");
  }
}
